# Installs in dir /opt/kde2/

%define prefix /opt/kde2/

Summary: KDE Video4Linux Stream Capture Viewer
Name: kwintv
Version: 0.8.10
Release: 1
Source0: kwintv-%{version}.tar.gz
Group: X11/Applications/Graphics
Copyright: GNU GENERAL PUBLIC LICENSE
URL: http://www.staikos.on.ca/~staikos/kwintv/kwintv-%{version}.tar.gz
Vendor:  George Staikos <staikos@kde.org>
BuildRoot: /var/tmp/kwintv-%{version}.root

%description
KDE Application for video4linux.

%prep
%setup 
./configure --with-install-root=$RPM_BUILD_ROOT --prefix=$RPM_BUILD_ROOT/%prefix

%build
#CFLAGS="$RPM_OPT_FLAGS" ./configure
make

%install
make R="$RPM_BUILD_ROOT" SUID_ROOT="" install

%files
#binaries
%prefix/bin/kwintv
%prefix/bin/kwintvsaver.kss
%attr(4711, root, root) %prefix/bin/kv4lsetup 
# UI file
%prefix/share/apps/kwintv/kwintvui.rc
#desktop file
%prefix/share/applnk/Multimedia/kwintv.desktop
%prefix/share/applnk/Multimedia/kv4lsetup.desktop
%prefix/share/applnk/System/ScreenSavers/KWinTVSaver.desktop
#icons
%prefix/share/apps/kwintv/toolbar/kwintv_title.png
%prefix/share/apps/kwintv/toolbar/mix_midi.png
%prefix/share/apps/kwintv/toolbar/kwintv_down.png
%prefix/share/apps/kwintv/toolbar/mix_recmon.png
%prefix/share/apps/kwintv/toolbar/kwintv_edit.png
%prefix/share/apps/kwintv/toolbar/kwintv_logo.png
%prefix/share/apps/kwintv/toolbar/mix_treble.png
%prefix/share/apps/kwintv/toolbar/kwintv_paste.png
%prefix/share/apps/kwintv/toolbar/kwintv_mute.png
%prefix/share/apps/kwintv/toolbar/mix_audio.png
%prefix/share/apps/kwintv/toolbar/mix_unknown.png
%prefix/share/apps/kwintv/toolbar/kwintv_exit.png
%prefix/share/apps/kwintv/toolbar/kwintv_mute_off.png
%prefix/share/apps/kwintv/toolbar/mix_bass.png
%prefix/share/apps/kwintv/toolbar/mix_volume.png
%prefix/share/apps/kwintv/toolbar/mix_cd.png
%prefix/share/apps/kwintv/toolbar/mix_ext.png
%prefix/share/apps/kwintv/toolbar/kwintv_up.png
%prefix/share/apps/kwintv/toolbar/mix_microphone.png
%prefix/share/apps/kwintv/toolbar/kwintv_viewmag.png
%prefix/share/apps/kwintv/pics/kwintv_16x16.png
%prefix/share/apps/kwintv/pics/kwintv_24x24.png
%prefix/share/apps/kwintv/pics/kwintv_swizard.png
%prefix/share/apps/kwintv/pics/kwintv.png
%prefix/share/icons/hicolor/16x16/apps/kwintv.png
%prefix/share/icons/hicolor/22x22/apps/kwintv.png
%prefix/share/icons/hicolor/22x22/actions/ktv_cs.png
%prefix/share/icons/hicolor/22x22/actions/ktv_voldown.png
%prefix/share/icons/hicolor/22x22/actions/ktv_muteon.png
%prefix/share/icons/hicolor/22x22/actions/ktv_volup.png
%prefix/share/icons/hicolor/22x22/actions/ktv_snapshot.png
%prefix/share/icons/hicolor/22x22/actions/ktv_capture.png
%prefix/share/icons/hicolor/22x22/actions/ktv_transform.png
%prefix/share/icons/hicolor/48x48/apps/kwintv.png
#fonts
/usr/X11R6/lib/X11/fonts/kwintv/led-fixed.pcf

%doc kwintv/ChangeLog kwintv/INSTALL

%post
[ -f /usr/sbin/chkfontpath ] && /usr/sbin/chkfontpath -q -a %prefix/X11R6/lib/X11/fonts/kwintv
cd %prefix/X11R6/lib/X11/fonts/kwintv
mkfontdir
xset fp rehash || true

%postun
if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %prefix/X11R6/lib/X11/fonts/kwintv
fi  

