#ifndef wintv_defs_h
#define wintv_defs_h

#ifdef HAVE_CONFIG_H
#include <config.h>  // config.h by configure
#endif

// needed for --enable-final as jpeglib.h defines HAVE_STDLIB_H
#ifdef HAVE_LIBJPEG
#ifdef __cplusplus
extern "C" {          // jpeglib is pure C
#endif

#ifdef HAVE_STDLIB_H
#undef HAVE_STDLIB_H
#define TMP_STDLIB_H
#endif // HAVE_STDLIB_H

#include <stdio.h>
#include "jpeglib.h"
#undef HAVE_STDLIB_H

#ifdef TMP_STDLIB_H
#include <config.h>
#endif // TMP_STDLIB_H

#ifdef __cplusplus
}
#endif
#endif // HAVE_LIBJPEG

#include <kdebug.h>

#define GRAB_PERROR(action,file) \
  { kdDebug() << action << ": " << file << ": " << strerror(errno) << endl; }


#endif // wintv_defs_h
